cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/bookings/availability \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/bookings/availability"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/bookings/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "Jm2n1r0ap0000flml5q27d6tlXmHR3uM",
"slug": "1707920571709",
"order": 3,
"name": "Copia de Terraceeeeeeee",
"description": "L | M | X",
"active": true,
"hours": [
{
"format": "00:00",
"selected": false
}
],
"slugs_types": [
"1709119852219"
],
"spaces": [
{
"_id": "1696325534220",
"type": "table",
"name": "19",
"bookings": [
{
"_id": "Zlvknuyd006m7019ydvoyauwwT5dJ0UM",
"for": 1,
"code": "QKOU3RK4A",
"status": "accepted",
"deposit": 0,
"deposit_paid": 0,
"name": "Jim Carrey",
"price": 10
}
]
}
]
}
}Bookings
Get bookings availability
Get an event booking’s availability
GET
/
bookings
/
availability
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Id of the event
⌘I